#delimit ;
clear all;
set mem 1G;
set more off;
set varabbrev off;

local data_dir = "Data";
local cutoff_value = 0;

/*
insheet using "`data_dir'\canmex8999.txt";
local years = "1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999";
local sort_range = "y1989 y1990 y1991";
local base_year = 1989;
local end_year = 1999;
*/
/*
insheet using "`data_dir'\mexcan8999.txt";
local years = "1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999";
local sort_range = "y1989 y1990 y1991";
local base_year = 1989;
local end_year = 1999;
*/
/*
insheet using "`data_dir'\canusa8899.txt";
local years = "1988 1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999";
local sort_range = "y1988 y1989 y1990";
local base_year = 1988;
local end_year = 1998;
*/
/*
insheet using "`data_dir'\usacan8899.txt";
local years = "1988 1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999";
local sort_range = "y1988 y1989 y1990";
local base_year = 1988;
local end_year = 1998;
*/
/*
insheet using "`data_dir'\mexusa8999.txt";
local years = "1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999";
local sort_range = "y1989 y1990 y1991";
local base_year = 1989;
local end_year = 1999;
*/

insheet using "`data_dir'\usamex8999.txt";
local years = "1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999";
local sort_range = "y1989 y1990 y1991";
local base_year = 1989;
local end_year = 1999;


gen cutoff = `cutoff_value';

rename v1 code;
local temp = 2;
foreach j in `years'{;
	rename v`temp'  y`j';
	local temp = `temp' + 1;
};


egen total_trade_`base_year' = total(y`base_year') if y`base_year' > cutoff;
sort total_trade_`base_year'; replace total_trade_`base_year' = total_trade_`base_year'[1] if total_trade_`base_year' == .;

egen total_trade_`end_year' = total(y`end_year') if y`end_year' > cutoff;
sort total_trade_`end_year'; replace total_trade_`end_year' = total_trade_`end_year'[1] if total_trade_`end_year' == .;
gen growth_total = ln(total_trade_`end_year'/total_trade_`base_year');

***************************************The intensive margin*****************************;
egen num1 = total(y`end_year') if y`end_year' > cutoff & y`base_year' > cutoff;
sort num1; replace num1 = num1[1] if num1==.;

egen den1 = total(y`base_year') if y`end_year' > cutoff & y`base_year' > cutoff;
sort den1; replace den1 = den1[1] if den1==.;

gen in_mar_us = ln(num1/den1); 
****************************************************************************************;

***************************************The extensive margin*****************************;
egen num2 = total(y`end_year') if y`end_year' > cutoff;
sort num2;  replace num2 = num2[1] if num2 == .;

egen den2 = total(y`base_year') if y`base_year' > cutoff;
sort den2;  replace den2 = den2[1] if den2 == .;

gen ex_mar_us = ln((num2/den2)/(num1/den1));
drop num1 den1 num2 den2;
****************************************************************************************;
gen in_share = in_mar_us/growth_total*100;
gen ex_share = ex_mar_us/growth_total*100;

****output the results to the screen;
qui sum growth_total;
di "total growth: " as result  %4.3f r(mean);
qui sum ex_mar_us;
di "extensive margin: " as result %4.3f r(mean);
qui sum ex_share;
di "extensive margin share: " as result %3.1f r(mean);
qui sum in_mar_us;
di "intensive margin: " as result %4.3f r(mean);
qui sum in_share;
di "intensive margin share: " as result %3.1f r(mean);




